#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "CharacterDropdown.h"
#include "LoadoutItem.h"
#include "ChallengeTooltipEdData.generated.h"

USTRUCT(BlueprintType)
struct FChallengeTooltipEdData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere)
	FSoftObjectPath Image;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FCharacterDropdown> Characters;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FLoadoutItem> Items;

public:
	DEADBYDAYLIGHT_API FChallengeTooltipEdData();
};

FORCEINLINE uint32 GetTypeHash(const FChallengeTooltipEdData) { return 0; }
